Skip to main content
GET
Get inbox items

Authorizations

x-api-key
string
header
required

Your API key, from the API keys page of the app.

Query Parameters

tab
enum<string>
Available options:
primary,
others
Example:

"primary"

mailbox
enum<string>
Available options:
inbox,
unread,
reminders,
scheduled,
sent,
archived
Example:

"inbox"

mailboxId
number
Example:

1

status
enum<string>
Available options:
Lead,
Interested,
Out of office,
Not interested
Example:

"Lead"

Example:

"john"

read
boolean
Example:

false

archived
boolean
Example:

false

campaignUuid
string<uuid>

Only conversations that belong to this campaign

Example:

"019e8eb2-a04a-76a8-8aed-37178d5786f5"

campaignsOnly
boolean

Only conversations that belong to any campaign

Example:

true

Response

Inbox items fetched successfully

success
boolean
required
Example:

true

message
string
required
Example:

"Inbox items fetched successfully"

data
object
required